## vlc 3.0.9.2

=== debian/changelog ===
vlc (3.0.9.2-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/control: add libfreetype6-dev back as alternative B-D. Note that
    libsrt-dev is a new BD.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 Apr 2020 18:32:59 -0700

vlc (3.0.9.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Remove patches integrated upstream
  * debian/copyright:
    - Bump copyright years
    - Update files
  * debian/upstream/signing-key.asc: Re-export upstream's signing key

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Apr 2020 21:29:44 +0200

vlc (3.0.8-4) unstable; urgency=medium

  * debian/control: Bump Standards-Version
  * debian/upstream: Apply upstream patches for chromecast support in avahi
  * debian/: Disable microdns plugin

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Feb 2020 21:44:49 +0100

vlc (3.0.8-3) unstable; urgency=medium

  * debian/control:
    - Replace libfreetype6-dev with libfreetype-dev
    - Bump Standards-Version
  * debian/: Build srt access plugin

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Nov 2019 22:38:08 +0100

vlc (3.0.8-2) unstable; urgency=medium

  * debian/: Revert "Switch back to libmodplug-dev since vlc now requires
    0.8.9.". Patch configure.ac instead.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Aug 2019 21:07:34 +0200

vlc (3.0.8-1) unstable; urgency=medium

  * New upstream release.
    - Fix a buffer overflow in the MKV demuxer (CVE-2019-14970)
    - Fix a read buffer overflow in the avcodec decoder (CVE-2019-13962)
    - Fix a read buffer overflow in the OGG demuxer (CVE-2019-14437,
      CVE-2019-14438)
    - Fix a read buffer overflow in the ASF demuxer (CVE-2019-14776)
    - Fix a use after free in the MKV demuxer (CVE-2019-14777, CVE-2019-14778)
    - Fix a use after free in the ASF demuxer (CVE-2019-14533)
    - Fix a null dereference in the ASF demuxer (CVE-2019-14534)
    - Fix a division by zero in the CAF demuxer (CVE-2019-14498)
    - Fix a division by zero in the ASF demuxer (CVE-2019-14535)
  * debian/: Remove crystalhd plugin. libcrystalhd-dev is scheduled for
    removal.
  * debian/patches: Remove patches included upstream.
  * debian/control: Switch back to libmodplug-dev since vlc now requires
    0.8.9.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Aug 2019 18:50:39 +0200

vlc (3.0.7.1-3) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix SIGFPE when playing DVDs.
    (Closes: #929491, #923017, #932182)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Jul 2019 10:17:45 +0200

vlc (3.0.7.1-2) unstable; urgency=medium

  * debian/: Remove obsolete maintscripts.
  * debian/control:
    - Remove obsolete transitional package.
    - Remove obsolete Breaks+Replaces.
    - Bump Standards-Version.
  * debian/patches: Apply upstream patches to
    - unbreak rendering in subsvtt.
    - fix integer underflows in mp4. (CVE-2019-13602) (Closes: #932131)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Jul 2019 19:55:05 +0200

vlc (3.0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Jun 2019 09:08:03 +0200
