## vlc 3.0.10

=== debian/changelog ===
vlc (3.0.10-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux 17/18.
  * Disable srt.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 May 2020 11:21:02 -0700

vlc (3.0.10-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Apr 2020 22:10:09 +0200
