=== debian/control ===
--- 
+++ 
@@ -94,7 +94,7 @@
                libspatialaudio-dev,
                libspeex-dev (>= 1.0.5),
                libspeexdsp-dev (>= 1.0.5),
-               libsrt-dev,
+#               libsrt-dev,
                libssh2-1-dev,
                libswscale-dev (>= 7:3.0),
                libsystemd-dev [linux-any],
@@ -196,8 +196,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libvlc-bin (= ${binary:Version})
+         ${shlibs:Depends}
+Recommends: libvlc-bin (= ${binary:Version})
 Description: multimedia player and streamer library
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -322,4 +322,3 @@
          ${vlc:PluginABI}
 Enhances: vlc
 Description: multimedia player and streamer (video output plugins)
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
