## vlc 3.0.11

=== debian/changelog ===
vlc (3.0.11-0+deb9u1) stretch-security; urgency=high

  * New upstream release
    - Fix heap-based buffer overflow in hxxx_nal (CVE-2020-13428)
  * debian/patches: Drop patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Jun 2020 23:12:02 +0200

vlc (3.0.10-0+deb9u1) stretch-security; urgency=medium

  * New upstream release
  * debian/: Disable microdns plugin due to microdns security issues
     (CVE-2020-6071, CVE-2020-6072, CVE-2020-6073, CVE-2020-6077,
     CVE-2020-6078, CVE-2020-6079, CVE-2020-6080)
  * debian/patches: Fix build with stretch's libdvdread

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 29 Apr 2020 09:02:27 +0200

vlc (3.0.8-0+deb9u1) stretch-security; urgency=high

  * New upstream release.
    - Fix a buffer overflow in the MKV demuxer (CVE-2019-14970)
    - Fix a read buffer overflow in the avcodec decoder (CVE-2019-13962)
    - Fix a read buffer overflow in the OGG demuxer (CVE-2019-14437,
      CVE-2019-14438)
    - Fix a read buffer overflow in the ASF demuxer (CVE-2019-14776)
    - Fix a use after free in the MKV demuxer (CVE-2019-14777, CVE-2019-14778)
    - Fix a use after free in the ASF demuxer (CVE-2019-14533)
    - Fix a couple of integer underflows in the MP4 demuxer (CVE-2019-13602)
      (Closes: #932131)
    - Fix a null dereference in the ASF demuxer (CVE-2019-14534)
    - Fix a division by zero in the CAF demuxer (CVE-2019-14498)
    - Fix a division by zero in the ASF demuxer (CVE-2019-14535)
    - Fix a division by zero when playing DVDs. (Closes: #929491, #923017,
      #932182)
  * debian/patches:
    - Revert modplug version bump. We use the libopenmpt compat layer anyway.
    - Revert libebml version bump. libebml has been fixed separately.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 20 Aug 2019 20:58:05 +0200

vlc (3.0.7-0+deb9u1) stretch-security; urgency=medium

  * New upstream bug fix release. (Closes: #930276)
    - Fix multiple integer overflows.
    - Fix multiple buffer overflows.
    - Fix use-after-free issue.
    - Fix NULL pointer dereference.
    - Fix other memory access bugs and infinite loops.
  * debian/patches: Removed, included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Jun 2019 22:00:27 +0200

vlc (3.0.6-0+deb9u1) stretch-security; urgency=high

  * New upstream bug fix release.
    - Fix CAF integer-underflow. (CVE-2018-19857)
    - Fix crashes with LPCM streams.
    - Fix live555 and screen capture crashes.
  * debian/patches: Apply upstream patch for libbluray compatibility.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Jan 2019 21:42:19 +0100
