=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vlc
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Christophe Mutricy <xtophe@videolan.org>,
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
@@ -13,14 +12,12 @@
            Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: autopoint,
                bison,
-               debhelper-compat (= 12),
+               debhelper (>= 10),
                gettext,
                flex,
                liba52-0.7.4-dev,
                libaa1-dev,
-               libaom-dev,
                libarchive-dev (>= 3.1.0),
-               libaribb24-dev,
                libasound2-dev (>= 1.0.24) [linux-any],
                libass-dev (>= 0.9.8),
                libavahi-client-dev,
@@ -28,23 +25,24 @@
                libavcodec-dev (>= 7:3.0),
                libavformat-dev (>= 7:3.0),
                libavresample-dev (>= 7:3.0),
-               libbluray-dev (>= 1:1.0.0),
+               libbluray-dev (>= 1:0.6.2),
                libcaca-dev (>= 0.99.beta4),
                libcairo2-dev (>= 1.13.1),
                libcddb2-dev,
                libchromaprint-dev (>= 0.6.0),
+               libcrystalhd-dev [amd64 i386],
                libdbus-1-dev (>= 1.6.0),
                libdc1394-22-dev (>= 2.1.0) [linux-any],
                libdca-dev,
                libdvbpsi-dev (>= 1.2.0),
                libdvdnav-dev (>= 4.9.0),
                libdvdread-dev (>= 4.9.0),
-               libebml-dev (>= 1.3.6),
                libegl1-mesa-dev,
                libfaad-dev,
                libflac-dev (>= 1.1.2-3),
                libfluidsynth-dev (>= 1.1.2),
-               libfreetype-dev | libfreetype6-dev,
+               libfreerdp-dev (>= 1.0.1),
+               libfreetype6-dev,
                libfribidi-dev,
                libgl1-mesa-dev,
                libgles2-mesa-dev,
@@ -53,7 +51,7 @@
                libharfbuzz-dev,
                libidn11-dev,
                libiso9660-dev (>= 0.72),
-               libjack-jackd2-dev | libjack-dev,
+               libjack-dev,
                libkate-dev (>= 0.3.0),
                liblirc-dev,
                liblivemedia-dev (>= 2011.12.23),
@@ -69,9 +67,8 @@
                libnotify-dev,
                libogg-dev (>= 1.0),
                libomxil-bellagio-dev [linux-any],
-               libopenmpt-modplug-dev | libmodplug-dev (>= 1:0.8.9),
+               libopenmpt-modplug-dev | libmodplug-dev (>= 1:0.8.8.1),
                libopus-dev (>= 1.0.3),
-               libplacebo-dev (>= 0.2.1) [linux-any],
                libpng-dev,
                libpostproc-dev (>= 7:3.0),
                libprotobuf-dev (>= 2.5.0),
@@ -91,10 +88,8 @@
                libsmbclient-dev [!hurd-any],
                libsndio-dev,
                libsoxr-dev (>= 0.1.2),
-               libspatialaudio-dev,
                libspeex-dev (>= 1.0.5),
                libspeexdsp-dev (>= 1.0.5),
-#               libsrt-dev,
                libssh2-1-dev,
                libswscale-dev (>= 7:3.0),
                libsystemd-dev [linux-any],
@@ -134,25 +129,25 @@
                wayland-protocols [linux-any],
                zlib1g-dev,
                zsh
-Standards-Version: 4.5.0
-Homepage: https://www.videolan.org/vlc/
-Vcs-Git: https://salsa.debian.org/multimedia-team/vlc.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/vlc
-Rules-Requires-Root: no
+Standards-Version: 3.9.8
+Homepage: http://www.videolan.org/vlc/
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vlc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vlc.git
 
 Package: vlc
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: vlc-bin (= ${binary:Version}),
          vlc-plugin-base (= ${binary:Version}),
          vlc-plugin-qt (= ${binary:Version}),
          vlc-plugin-video-output (= ${binary:Version}),
-         ${misc:Depends},
          vlc-l10n (= ${source:Version}),
-         vlc-plugin-notify (= ${binary:Version}),
-         vlc-plugin-skins2 (= ${binary:Version}),
-         vlc-plugin-video-splitter (= ${binary:Version}),
-         vlc-plugin-visualization (= ${binary:Version})
-Recommends: vlc-plugin-samba (= ${binary:Version}) [linux-any kfreebsd-any],
+         ${misc:Depends}
+Recommends: vlc-plugin-notify (= ${binary:Version}),
+            vlc-plugin-samba (= ${binary:Version}),
+            vlc-plugin-skins2 (= ${binary:Version}),
+            vlc-plugin-video-splitter (= ${binary:Version}),
+            vlc-plugin-visualization (= ${binary:Version})
 Provides: mp3-decoder
 Description: multimedia player and streamer
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
@@ -181,8 +176,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libvlc5 (= ${binary:Version}),
-         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libvlc5 (= ${binary:Version}), pkg-config, ${misc:Depends}
 Description: development files for libvlc
  This package contains headers and a static library required to build
  standalone applications that use VLC features.
@@ -195,9 +190,11 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libvlc-bin (= ${binary:Version})
+Breaks: phonon-backend-vlc (<< 0.9.0-2+deb9u1~),
+        phonon4qt5-backend-vlc (<< 0.9.0-2+deb9u1~)
 Description: multimedia player and streamer library
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -210,8 +207,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libvlccore9 (= ${binary:Version}),
-         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libvlccore9 (= ${binary:Version}), pkg-config, ${misc:Depends}
 Description: development files for libvlccore
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -228,6 +225,7 @@
          ${shlibs:Depends}
 Recommends: libproxy-tools
 Provides: ${vlc:PluginABI}
+Breaks: libvlc5 (<< 3.0.0)
 Description: base library for VLC and its modules
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -249,9 +247,11 @@
 
 Package: vlc-bin
 Architecture: any
-Depends: libvlc-bin (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libvlc-bin (= ${binary:Version})
+Breaks: vlc-nox (<< 3.0.0-1~)
+Replaces: vlc-nox (<< 3.0.0-1~)
 Description: binaries from VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -263,7 +263,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Description: common data for VLC
+Description: Common data for VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
  podcasts, and multimedia streams from various network sources.
@@ -276,7 +276,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Description: translations for VLC
+Breaks: vlc-data (<< 3.0.0-1~)
+Replaces: vlc-data (<< 3.0.0-1~)
+Description: Translations for VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
  podcasts, and multimedia streams from various network sources.
@@ -286,12 +288,15 @@
 Package: vlc-plugin-base
 Architecture: any
 Multi-Arch: same
-Depends: vlc-data (= ${source:Version}),
-         ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
          ${shlibs:Depends},
+         vlc-data (= ${source:Version}),
          ${vlc:PluginABI}
 Recommends: xdg-utils
 Suggests: libdvdcss2
+Breaks: vlc-plugin-zvbi (<< 3.0.0-1~)
+Replaces: vlc-plugin-zvbi (<< 3.0.0-1~)
 Description: multimedia player and streamer (base plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -303,6 +308,7 @@
 Package: vlc-plugin-access-extra
 Architecture: any
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${vlc:PluginABI}
@@ -314,11 +320,3 @@
  .
  This package contains additional access plugins.
 
-Package: vlc-plugin-video-output
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         ${vlc:PluginABI}
-Enhances: vlc
-Description: multimedia player and streamer (video output plugins)
