=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,11 @@
 DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/pkg-info.mk
-include /usr/share/dpkg/vendor.mk
-
-# custom build option: debug
-# VLC enables assertions if --enable-debug is passed to the configure script. To debug issues, it
-# might be useful to have them enabled. In that case, rebuilding the package with
-# DEB_BUILD_OPTIONS=debug produces a build with the assertions enabled.
+
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
 confflags += --enable-debug
-else
-confflags += --disable-debug
 endif
 
 # configure flags
@@ -29,10 +22,8 @@
 confflags += \
 	--enable-a52 \
 	--enable-aa \
-	--enable-aom \
-	--enable-aribsub \
+	--enable-bluray \
 	--enable-avahi \
-	--enable-bluray \
 	--enable-caca \
 	--enable-chromaprint \
 	--enable-chromecast \
@@ -43,6 +34,7 @@
 	--enable-faad \
 	--enable-flac \
 	--enable-fluidsynth \
+	--enable-freerdp \
 	--enable-freetype \
 	--enable-fribidi \
 	--enable-gles2 \
@@ -76,9 +68,7 @@
 	--enable-skins2 \
 	--enable-sndio \
 	--enable-soxr \
-	--enable-spatialaudio \
 	--enable-speex \
-	--enable-srt \
 	--enable-svg \
 	--enable-svgdec \
 	--enable-taglib \
@@ -94,7 +84,6 @@
 	--with-kde-solid=/usr/share/solid/actions/ \
 	$(NULL)
 # Reasons for disabling features:
-# crystalhd: unusble without firmware (#934242)
 # d3d11va: Windows only
 # decklink: not in Debian
 # directx: Windows only
@@ -102,7 +91,6 @@
 # dxva2: Windows only
 # fdkaac: in Debian contrib
 # fluidlite: fluidsynth is enabled
-# freerdp: scheduled for removal (#888323)
 # goom: not in Debian
 # gst-decode: not needed when having libavcodec
 # libtar: security issue (#737534)
@@ -113,12 +101,13 @@
 # projectm: broken
 # schroedinger: removed from Debian (#845037)
 # sparkle: MacOS X only
+# srt: not in Debian
 # telx: incompatible with zvbi
 # vpx: not needed when having libavcodec
 # vsxu: not in Debian
 # wasapi: Windows only
 confflags += \
-	--disable-crystalhd \
+	--disable-aribsub \
 	--disable-d3d11va \
 	--disable-decklink \
 	--disable-directx \
@@ -126,9 +115,9 @@
 	--disable-dxva2 \
 	--disable-fdkaac \
 	--disable-fluidlite \
-	--disable-freerdp \
 	--disable-goom \
 	--disable-gst-decode \
+	--disable-libplacebo \
 	--disable-libtar \
 	--disable-macosx \
 	--disable-macosx-avfoundation \
@@ -139,6 +128,7 @@
 	--disable-projectm \
 	--disable-schroedinger \
 	--disable-sparkle \
+	--disable-srt \
 	--disable-telx \
 	--disable-vpx \
 	--disable-vsxu \
@@ -154,7 +144,6 @@
 	--enable-alsa \
 	--enable-dc1394 \
 	--enable-dv1394 \
-	--enable-libplacebo \
 	--enable-linsys \
 	--enable-nfs \
 	--enable-omxil \
@@ -167,7 +156,6 @@
 	--disable-alsa \
 	--disable-dc1394 \
 	--disable-dv1394 \
-	--disable-libplacebo \
 	--disable-linsys \
 	--disable-nfs \
 	--disable-omxil \
@@ -194,23 +182,11 @@
 
 # Linux and kFreeBSD specific flags (disabled on Hurd)
 ifeq (,$(filter-out linux kfreebsd,$(DEB_HOST_ARCH_OS)))
-confflags += \
-	--enable-libva \
-	--enable-vcd \
-	--enable-smbclient \
-	$(NULL)
-else
-confflags += \
-	--disable-libva \
-	--disable-vcd \
-	--disable-smbclient \
-	$(NULL)
-removeplugins += \
-	cdda \
-	libva \
-	smbclient \
-	vcd \
-	$(NULL)
+confflags += --enable-libva --enable-vcd --enable-smbclient
+pluginpackages += samba
+else
+confflags += --disable-libva --disable-vcd --disable-smbclient
+removeplugins += cdda libva smbclient vcd
 endif
 
 # kFreeBSD specific flags
@@ -220,6 +196,14 @@
 # Note: Use PulseAudio/ALSA on Linux instead of OSS.
 confflags += --disable-oss
 removeplugins += oss
+endif
+
+# Linux amd64 and i386 specific flags
+ifeq (,$(filter-out amd64 i386,$(DEB_HOST_ARCH)))
+confflags += --enable-crystalhd
+else
+confflags += --disable-crystalhd
+removeplugins += crystalhd
 endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -289,14 +273,21 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	./vlc -vvv --ignore-config --no-plugins-cache --list --no-color
+	# Check which plugins were built and whether they load properly.
+	@if test $$( id -u ) -eq 0 ; then \
+	   echo "Not runing the test as you are compiling as root"; \
+	   echo "Use 'dpkg-buildpackage -rfakeroot' rather than 'fakeroot dpkg-buildpackage'"; \
+	else \
+	   command="./vlc -vvv --ignore-config --no-plugins-cache --list --no-color"; \
+	   echo "$${command}"; $${command} ; \
+	fi
 endif
 endif
 
 override_dh_install:
 	# Remove plugin cache
 	find debian/tmp/usr/lib -name plugins.dat -delete
-	# Clean up libtool la files
+	# Clean up libtool crap
 	find debian/tmp -name '*.la' -delete
 	# Remove useless stuff
 	ln -sf /usr/share/fonts/truetype/freefont/FreeSans.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSans.ttf
@@ -307,19 +298,12 @@
 	# Remove examples installed in -dev packages
 	rm -rf debian/tmp/usr/share/doc/vlc/libvlc
 	# Install
-	dh_install
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	dh_install --fail-missing
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	# Install zsh completion
 	dh_install -pvlc-bin extras/analyser/_vlc usr/share/zsh/vendor-completions
 endif
-ifeq (Ubuntu,$(DEB_VENDOR))
-	dh_install -pvlc-bin debian/source_vlc.py usr/share/apport/package-hooks/
-endif
-	# Create empty directory for plugins.dat
-	mkdir -p debian/libvlc-bin/usr/lib/${DEB_HOST_MULTIARCH}/vlc/plugins
-
-override_dh_missing:
-	dh_missing --fail-missing
+	$(if $(shell dpkg-vendor --is Ubuntu && echo true),dh_install -pvlc-bin debian/source_vlc.py usr/share/apport/package-hooks/)
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -338,3 +322,6 @@
 	dh_bugfiles -A
 
 override_dh_installdeb-arch:
+	sed 's/#DEB_HOST_MULTIARCH#/${DEB_HOST_MULTIARCH}/g' \
+		debian/libvlc-bin.postinst.in > debian/libvlc-bin.postinst
+	sed 's/#DEB_HOST_MULTIARCH#/${DEB_HOST_MULTIARCH}/g' \
